#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	xfce4-session
Version		:	4.19.3
Release		:	17.2.0.rel%{?dist}

Summary		:	A session manager for Xfce
Group		:	System Environment/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL
URL		:	http://archive.xfce.org/src/xfce/xfce4-session

Source0		:	%{name}-%{version}.tar.bz2

#-----------------------------------------------------------------------------
BuildRequires	:	at-spi2-core-devel
BuildRequires	:	iceauth
BuildRequires	:	libwnck
BuildRequires	:	libxfce4ui
BuildRequires	:	libxfce4windowing-devel
BuildRequires	:	polkit-devel
BuildRequires	:	which

Requires(post)	:	%{_bindir}/gtk-update-icon-cache
#-----------------------------------------------------------------------------
%description
%{name} is a session manager for Xfce. Its task is to save
the state of your desktop (opened applications and their
location) and restore it during a next startup. You can
create several different sessions and choose one of them

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README.md
%{_sysconfdir}/xdg/xfce4/xfconf/xfce-perchannel-xml/xfce4-session.xml
%{_sysconfdir}/xdg/xfce4/xinitrc
%{_sysconfdir}/xdg/xfce4/Xft.xrdb
%{_bindir}/startxfce4
%{_bindir}/%{name}*
%{_bindir}/xflock4
%{_libdir}/xfce4/session/xfsm-shutdown-helper
%{_datadir}/applications/xfc*.desktop
%{_datadir}/icons/hicolor/*/apps/*.png
%{_datadir}/icons/hicolor/scalable/apps/*.svg
%{_datadir}/locale/*/LC_MESSAGES/%{name}.mo
%{_datadir}/icons/hicolor/*/actions/*.png
%{_datadir}/xsessions/xfce.desktop
%{_datadir}/wayland-sessions/xfce-wayland.desktop
%{_datadir}/xdg-desktop-portal/xfce-portals.conf
%{_datadir}/polkit-1/actions/org.xfce.session.policy
%{_mandir}/man1/*.1.gz

#-------------------------------------------------------------------
%postun
/usr/sbin/ldconfig
if [ $1 -eq 0 ] ; then
  %{_bindir}/gtk-update-icon-cache -t --quiet %{_datadir}/icons/hicolor
  fi

%post
/usr/sbin/ldconfig
%{_bindir}/gtk-update-icon-cache -t --quiet %{_datadir}/icons/hicolor

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

./configure						\
        --prefix=%{_prefix}				\
	--includedir=%{_includedir}			\
	--sysconfdir=%{_sysconfdir}			\
	--libdir=%{_libdir}				\
	--libexecdir=%{_libexecdir}			\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--disable-static				\


%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

#-------------------------------------------------------------------
%changelog
